use nanobyte_opentelemetry::{default_filter_layer, LogLevel};
use ovlach_pdf::rocket_builder;
use tracing::Level;

#[rocket::main]
async fn main() {
    let _opentelemetry = nanobyte_opentelemetry::init_telemetry(
        env!("CARGO_PKG_NAME"),
        env!("CARGO_PKG_VERSION"), 
        Some(default_filter_layer(LogLevel::Normal))
    );
    let _ = rocket_builder().launch().await;
}